gnutls_x509_aia_set(3)

NAME
gnutls_x509_aia_set - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_aia_set(gnutls_x509_aia_t aia, const char * oid, unsigned san_type, const gnutls_datum_t * san);

ARGUMENTS

gnutls_x509_aia_t aia
    The authority info access

const char * oid
    the type of data.

unsigned san_type
    The type of the name (of gnutls_subject_alt_names_t)

const gnutls_datum_t * san
    The alternative name data

DESCRIPTION
This function will store the specified alternative name in the aia type. Typically the value for oid should be GNUTLS_OID_AD_OCSP, or GNUTLS_OID_AD_CAISSUERS. Since version 3.5.7 the GNUTLS_SAN_RFC822NAME, and GNUTLS_SAN_DNSNAME, are converted to ACE format when necessary.

RETURNS
On success, GNUTLS_E_SUCCESS (0), otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/